## netpbm-free 10.97.00

=== debian/changelog ===
netpbm-free (2:10.97.00-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix Uploader address

  [ Mathieu Malaterre ]
  * Team upload.
  * d/patch: Remove -DNDEBUG during compilation
  * d/rules: Discard test suite result for now

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Mar 2022 14:11:39 +0200

netpbm-free (2:10.97.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
     - Closes: #977007, #386388, #847241
    CVE-2017-2579, CVE-2017-2580 and CVE-2017-2581 before 10.61 thus
     - Closes: #854978
  * debian/watch: Use svn mode
  * Move package to Debian Phototools team
    Closes: #813227, #864796
  * Drop debian/gbp.conf by using branch names per team policy
  * Use Python3 in manpage creation
    Closes: #968024
  * Provide userguide in debian/userguide since it is not part of the
    upstream source tarball obtained via svn mode
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix day-of-week for changelog entry 1:19940301.2-4.
  * Use d-shlibs to install library and libdevel package
  * DEP3
  * Add Build-Depends: ghostscrip to pass one test
  * Disable two remaining tests that are failing
  * Remove manweb completely since test had shown this does not work at all
  * Try hardening options
  * Enhance long descriptions
    Closes: #209957
  * ppmqvga does not belong to the source any more
    Closes: #256402, #669365
  * Previous upload to experimental switched to 3.0 source format
    Closes: #1007030
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 10:40:03 +0100

=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Barth <aba@ayous.org>,
           Steve McIntyre <93sam@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               libjpeg-dev,
               libpng-dev,
               libtiff5-dev,
               libx11-dev,
               libxml2-dev,
               zlib1g-dev,
               flex,
               pkg-config,
               python3,
               ghostscript <!nocheck>
Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
Homepage: http://netpbm.sourceforge.net/
Rules-Requires-Root: no

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends: libnetpbm11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: ghostscript
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics conversion tools shared libraries
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This package contains the shared libraries used by netpbm.

Package: libnetpbm11-dev
Section: libdevel
Architecture: any
Depends: libnetpbm11 (= ${binary:Version}), ${misc:Depends}
Conflicts: netpbm-dev,libnetpbm9-dev,libnetpbm-dev
Replaces: netpbm-dev
Provides: netpbm-dev,libnetpbm-dev
Description: Graphics conversion tools development libraries and header files
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include ./version.mk
MAJOR=$(NETPBM_MAJOR_RELEASE)
MINOR=$(NETPBM_MINOR_RELEASE)
POINT=$(NETPBM_POINT_RELEASE)

#https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1007234#3
#export DEB_CFLAGS_MAINT_APPEND = -fsanitize=undefined -fno-sanitize-recover
#export DEB_LDFLAGS_MAINT_APPEND = -fsanitize=undefined

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	cp config.mk.in config.mk
	cat debian/config.mk.debian >> config.mk
	echo "CFLAGS = `dpkg-buildflags --get CFLAGS`" >> config.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	echo 'WANT_SSE = Y' >> config.mk
endif

override_dh_auto_build:
	dh_auto_build
# build the manpages
	mkdir netpbmdoc
	tar xaf debian/userguide/userguide.tar.xz
	cd netpbmdoc; \
		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk manpages
	# Fix manual section
	sed -i 's/^\(\.TH "[^"]\+" \)0 /\11 /' netpbmdoc/*.1

override_dh_auto_clean:
	[ ! -f config.mk ] || $(MAKE) distclean
	rm -rf debian/netpbm-test debian/netpbm-test.bak
	rm -rf netpbmdoc userguide

override_dh_auto_install:
	mkdir -p debian/tmp/
	$(MAKE) package PKGDIR=$(CURDIR)/debian/tmp/usr
# install the manpages
	cd netpbmdoc; \
		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk report
# install pkgconfig
	install -m 0755 -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's|@INCLUDEDIR@|/usr/include/netpbm|' \
		-e 's|@LINKDIR@|/usr/lib/$(DEB_HOST_MULTIARCH)|' \
		-e 's|@VERSION@|Netpbm $(MAJOR).$(MINOR).$(POINT)|' \
		debian/tmp/usr/pkgconfig_template > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/netpbm.pc

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --exclude-la \
		    --movedev debian/tmp/usr/include usr \
		    --movedev debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
		    lib/*.so
	find debian -name "lib*.la" -delete
	rm -rf debian/tmp/usr/sharedlink/libnetpbm
	rm -rf debian/tmp/usr/lib/libnetpbm.so*
	# tool manweb does not work due to missing /etc/manweb.conf
	find . -name "manweb*" -delete

# See bug #1007234
override_dh_auto_test:
	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true

## netpbm-free 11.01.00

=== lib/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = lib
VPATH=.:$(SRCDIR)/$(SUBDIR)
DLLTOOL=dlltool
include $(BUILDDIR)/config.mk

ifeq ($(NETPBMLIBTYPE),unixstatic)
LIBNETPBM = libnetpbm.$(STATICLIBSUFFIX)
else
LIBNETPBM = $(NETPBMSHLIBPREFIX)netpbm$(DLLVER).$(NETPBMLIBSUFFIX)
endif

ifeq ($(STATICLIB_TOO),Y)
EXTRA_STATICLIB = libnetpbm.$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

ifeq ($(DONT_HAVE_PROCESS_MGMT),Y)
  LIBSYSTEM = libsystem_dummy.o
else
  LIBSYSTEM = libsystem.o
endif

LIBOBJECTS = libpm.o pmfileio.o fileio.o colorname.o \
	libpamd.o \
	libpbm1.o libpbm2.o libpbm3.o \
	libpbmfont0.o libpbmfont1.o libpbmfont2.o \
	pbmfontdata0.o pbmfontdata1.o pbmfontdata2.o \
	libpgm1.o libpgm2.o \
	libppm1.o libppm2.o libppmcmap.o libppmcolor.o libppmfuzzy.o \
	libppmd.o ppmdfont.o standardppmdfont.o path.o \
	libpnm1.o libpnm2.o libpnm3.o \
	libpam.o libpamread.o libpamwrite.o \
	libpamn.o libpammap.o libpamcolor.o \
	$(LIBSYSTEM) \

# Library objects to be linked but not built by common.mk:
LIBOBJECTS_X = \
  util/bitio.o \
  util/filename.o \
  util/io.o \
  util/mallocvar.o \
  util/matrix.o \
  util/nsleep.o \
  util/nstring.o \
  util/rand.o \
  util/randsysrand.o \
  util/randsysrandom.o \
  util/randmersenne.o \
  util/runlength.o \
  util/shhopt.o \
  util/token.o \
  util/vasprintf.o \

MANUALS3 = libnetpbm
MANUALS5 = pbm pgm ppm pnm pam

INTERFACE_HEADERS = colorname.h \
	pam.h pamdraw.h pammap.h pbm.h pbmfont.h pbmfontdata.h \
	pgm.h pm.h pm_gamma.h pm_system.h pnm.h \
	ppm.h ppmcmap.h ppmdfont.h ppmdraw.h \
	util/mallocvar.h util/runlength.h util/shhopt.h \

DATAFILES = rgb.txt

.PHONY: all
all: libnetpbm extra_staticlib

SUBDIRS = util
SCRIPTS = 
BINARIES = 

OMIT_LIBRARY_RULE = 1
ALL_INTERNAL_HEADER_FILES_ARE_QUALIFIED = Y
include $(SRCDIR)/common.mk

# The following must go after common.mk because $(LIBNETPBM) may 
# contain a reference to $(NETPBM_MAJOR_RELEASE).
.PHONY: libnetpbm
libnetpbm: $(LIBNETPBM)

.PHONY: extra_staticlib
extra_staticlib: $(EXTRA_STATICLIB)

#----------------------------------------------------------------------------
# Following are rules for building shared libraries.
# Note that the user may specify a shared library as his "main" library
# type, but request a static library in addition.
#----------------------------------------------------------------------------

$(LIBOBJECTS): CFLAGS_TARGET=$(CFLAGS_SHLIB)

libpbm3.o: CFLAGS_TARGET+=$(CFLAGS_SSE)

$(LIBOBJECTS): %.o: %.c importinc
	$(CC) -c $(INCLUDES) $(CFLAGS_ALL) -o $@ $<

# The major number increases when there is a non-backward-compatible change
# to the library at the binary level, meaning any client of the library needs
# to keep using the old library until it has been recompiled for the new
# library.  We try very hard never to lose backward compatibility at the
# source level, which would mean the client source code has to be modified
# before it can use the new library.
#
# The major number might seem like it corresponds to the major version number
# of Netpbm, but it does not.  It is independent.
#
# Adding functions is backward compatible, so does not require a major number
# change.
#
# The minor number must always increase within a major number.
#
# It is convenient to have the minor number equal to the minor version number
# of Netpbm, but when we changed the Netpbm major version number from 10 to 11
# just to keep the minor version number 2 digits, we had to continue
# increasing the library minor number, so we went to 100 + minor version
# number.  If we ever increase the major number to 12, we can go back to using
# the minor version number for the library minor number.

MAJ := 11
$(eval MIN:=$(shell echo $$((100+$(NETPBM_MINOR_RELEASE)))))

SONAME = libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ)

ifeq ($(NETPBMLIBTYPE),irixshared)
# The libxxx.so link is needed to link the executables.
libnetpbm.$(NETPBMLIBSUFFIX): $(SONAME)
	rm -f $@
	$(SYMLINK) $< $@

PERLPROG = print "sgi$(MAJ)." . join(":sgi$(MAJ) . ", (0..$(MIN))) . "\n"

$(SONAME): \
    $(LIBOBJECTS) $(LIBOBJECTS_X) 
	$(LD) $(LDSHLIB) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
          -lc \
	  -soname libnetpbm.$(NETPBMLIBSUFFIX) \
	  -set_version $(shell perl -e '$(PERLPROG)') \
	  $(LADD)
endif

ifeq ($(NETPBMLIBTYPE),unixshared)
# The libxxx.so link is needed to link the executables.
libnetpbm.$(NETPBMLIBSUFFIX): $(SONAME)
	rm -f $@
	$(SYMLINK) $< $@
# The $(SONAME) link is needed only to test the programs without
# installing the libraries (in that case, you also need to direct the 
# dynamic linker to the source directories, e.g. set LD_LIBRARY_PATH).
$(SONAME): libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ).$(MIN)
	rm -f $@
	$(SYMLINK) $< $@
libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ).$(MIN): $(LIBOBJECTS) $(LIBOBJECTS_X)
	$(LD) $(LDSHLIB) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
          $(SHLIB_CLIB) -lm $(LADD)
endif

ifeq ($(NETPBMLIBTYPE),dll)
ifeq ($(STATICLIB_TOO),Y)
$(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll: $(LIBOBJECTS) $(LIBOBJECTS_X) libnetpbm.$(STATICLIBSUFFIX)
else
$(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll: $(LIBOBJECTS) $(LIBOBJECTS_X)
endif
	$(LD) $(LDSHLIB) -Wl,--export-all-symbols \
            -Wl,-soname,$(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll \
	    -Wl,--output-def,$(NETPBMSHLIBPREFIX)netpbm$(DLLVER).def \
            -Wl,--out-implib,libnetpbm.dll.a -o $@ $(LDFLAGS) \
            $(LIBOBJECTS) $(LIBOBJECTS_X) $(LDLIBS) $(LADD) 
endif

ifeq ($(NETPBMLIBTYPE),dylib)
libnetpbm.dylib: libnetpbm.$(MAJ).dylib
	rm -f $@
	$(SYMLINK) $< $@

libnetpbm.$(MAJ).dylib: libnetpbm.$(MAJ).$(MIN).dylib
	rm -f $@
	$(SYMLINK) $< $@

libnetpbm.$(MAJ).$(MIN).dylib: $(LIBOBJECTS) $(LIBOBJECTS_X) 
	$(LD) $(LDSHLIB) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
           -lc $(LADD)
endif

#--------------------------------------------------------------------------
# The rule for building a static library is below (if needed).  This is
# tricky because the user can be building the static library as his main
# library or in addition to some other kind of main library.  In fact,
# he may have specified it both as the main library type and an 
# additional library type.  In that case, NETPBMLIBSUFFIX and 
# STATICLIBSUFFIX are redundant -- we hope they're the same.
# 
# We must not include a rule for static libraries if he doesn't want us
# to build any.  The library name we come up with might conflict with 
# the name of the library he actually is building.  In fact, in that case
# STATICLIB_SUFFIX may just be arbitrary.
#-----------------------------------------------------------------------------
ifeq ($(NETPBMLIBTYPE),unixstatic)
  BUILD_STATICLIB = Y
else
  ifeq ($(STATICLIB_TOO),Y)
    BUILD_STATICLIB = Y
  else
    BUILD_STATICLIB = N
  endif
endif

ifeq ($(BUILD_STATICLIB),Y)
libnetpbm.$(STATICLIBSUFFIX): $(LIBOBJECTS) $(LIBOBJECTS_X)
	-rm -f $@
	$(AR) rc $@ $(LIBOBJECTS) $(LIBOBJECTS_X)
	-$(RANLIB) $@
endif


# To avoid major hassles with having ppmdcfont available here, we just ship a
# pre-made standardppmfont.c, so this rule will not normally be used.  Though
# standardppmdfont.c depends upon standard.ppmdfont, we don't declare that
# here because when the user creates the source tree, the modification time of
# standard.ppmdfont may end up later than that of standardppmdfont.c, which
# would make the build want to rebuild it.
standardppmdfont.c:
	ppmdcfont <standard.ppmdfont >$@

# Note that we create a new compile.h only for the first make after a
# make clean.  This is good enough.  We used to do stamp-date for
# every build of "all" from the Netpbm top directory, but nowhere
# else, so it was really sloppy.

compile.h:
	$(SRCDIR)/buildtools/stamp-date >$@ || rm $@

$(LIBOBJECTS_X): FORCE
	@if [ ! -d $(dir $@) ] ; then mkdir $(dir $@) ; fi
	$(MAKE) -C $(dir $@) -f $(SRCDIR)/$(SUBDIR)/$(dir $@)Makefile \
		SRCDIR=$(SRCDIR) BUILDDIR=$(BUILDDIR) $(notdir $@) 

libpm.o: compile.h

# Install a shared library
#
.PHONY: install.lib
ifeq ($(NETPBMLIBTYPE),unixshared)
# install a Unix-style shared library
install.lib: $(PKGDIR)/lib $(PKGDIR)/sharedlink
	cd $(PKGDIR)/lib ; rm -f libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ).*
	$(INSTALL) -c -m $(INSTALL_PERM_LIBD) \
	  libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ).$(MIN)  $(PKGDIR)/lib/
	cd $(PKGDIR)/lib/ ; \
          rm -f libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ); \
          $(SYMLINK) libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ).$(MIN) $(SONAME)
endif
ifeq ($(NETPBMLIBTYPE),dll)
#install a Windows DLL shared library
#Note that unlike Unix libraries, a Windows DLL must go into a directory
#that is in the PATH, so we use bin/ instead of lib/
install.lib: $(PKGDIR)/bin
	( cd $(PKGDIR)/bin ; rm -f $(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll )
	$(INSTALL) -c $(STRIPFLAG) -m $(INSTALL_PERM_LIBD) \
          $(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll $(PKGDIR)/bin/
endif
ifeq ($(NETPBMLIBTYPE),dylib)
# install a Darwin-style shared library
install.lib: $(PKGDIR)/lib
	cd $(PKGDIR)/lib ; rm -f libnetpbm.*.dylib
	$(INSTALL) -c -m $(INSTALL_PERM_LIBD) libnetpbm.$(MAJ).$(MIN).dylib \
	   $(PKGDIR)/lib
	cd $(PKGDIR)/lib ; \
          rm -f libnetpbm.$(MAJ).dylib; \
          $(SYMLINK) libnetpbm.$(MAJ).$(MIN).dylib libnetpbm.$(MAJ).dylib
endif

.PHONY: install.hdr
install.hdr: $(INTERFACE_HEADERS:%=%_installhdr)
# You need to install the interface header files only if you are going to
# compile programs that use the Netpbm libraries.  Alternatively, you may
# prefer not to "install" them, but just to access the Netpbm source
# directory when you compile your programs.

.PHONY: $(INTERFACE_HEADERS:%=%_installhdr)

$(INTERFACE_HEADERS:%=%_installhdr): $(PKGDIR)/include/netpbm
	$(INSTALL) -c -m $(INSTALL_PERM_HDR) \
	  $(SRCDIR)/lib/$(@:%_installhdr=%) $(PKGDIR)/include/netpbm/

.PHONY: install.staticlib
install.staticlib: $(PKGDIR)/staticlink
	$(INSTALL) -c -m $(INSTALL_PERM_LIBS) libnetpbm.$(STATICLIBSUFFIX) \
	  $(PKGDIR)/staticlink

# Install a shared library stub -- the ".so" file used at link time to
# prepare a program for dynamically linking a library at run time 
.PHONY: install.sharedlibstub
install.sharedlibstub: $(PKGDIR)/sharedlink
ifeq ($(NETPBMLIBTYPE),unixshared)
# install the link-time (.so) links to the runtime libraries
	cd $(PKGDIR)/sharedlink ; \
          rm -f libnetpbm.$(NETPBMLIBSUFFIX); \
          $(SYMLINK) ../lib/libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ) \
            libnetpbm.$(NETPBMLIBSUFFIX)
endif
ifeq ($(NETPBMLIBTYPE),dll)
	$(INSTALL) -c -m $(INSTALL_PERM_LIBS) libnetpbm.dll.a \
	  $(PKGDIR)/sharedlink
endif
ifeq ($(NETPBMLIBTYPE),dylib)
	cd $(PKGDIR)/sharedlink/ ; \
          rm -f libnetpbm.dylib; \
	$(SYMLINK) ../lib/libnetpbm.$(MAJ).$(MIN).dylib libnetpbm.dylib
endif

distclean clean: localclean

.PHONY: localclean
localclean:
	rm -f compile.h

FORCE:

=== editor/specialty/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = editor/specialty
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

PORTBINARIES = pamdeinterlace \
	       pammixinterlace \
	       pamoil \
	       pampop9 \
	       pampaintspill \
	       pbmlife \
	       pgmabel \
	       pgmbentley \
	       pgmmorphconv \
	       pnmindex \
	       pnmmercator \
	       ppm3d \
	       ppmglobe \
	       ppmntsc \
	       ppmrelief \
	       ppmshift \
	       ppmspread \
	       ppmtv \

# We don't include programs that have special library dependencies in the
# merge scheme, because we don't want those dependencies to prevent us
# from building all the other programs.

NOMERGEBINARIES = 
MERGEBINARIES = $(PORTBINARIES)


BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES)
SCRIPTS =

OBJECTS = $(BINARIES:%=%.o)

MERGE_OBJECTS = $(MERGEBINARIES:%=%.o2)

HAVE_MERGE_COMPAT=YES

.PHONY: all
all: $(BINARIES)

include $(SRCDIR)/common.mk

install.bin install.merge: install.bin.local

.PHONY: install.bin.local
install.bin.local: $(PKGDIR)/bin
# Remember that $(SYMLINK) might just be a copy command.
# pamoil replaced pgmoil in June 2001.
	cd $(PKGDIR)/bin ; \
	rm -f pgmoil$(EXE) ; \
	$(SYMLINK) pamoil$(EXE) pgmoil$(EXE)

mergecomptrylist:
	cat /dev/null >$@
	echo "TRY(\"pgmoil\", main_pamoil);" >>$@

=== converter/ppm/hpcdtoppm/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../..
  BUILDDIR = $(SRCDIR)
endif
SUBDIR = converter/ppm/hpcdtoppm
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

all: hpcdtoppm

SCRIPTS = hpcdtoppm pcdovtoppm
MERGE_OBJECTS =

include $(SRCDIR)/common.mk

install.bin install.merge: install.bin.local
.PHONY: install.bin.local
install.bin.local: $(PKGDIR)/bin
# In June 2002, pcdovtoppm replaced pcdindex
	cd $(PKGDIR)/bin ; \
	$(SYMLINK) pcdovtoppm pcdindex


FORCE:

=== converter/other/fiasco/output/Makefile ===
ifeq ($(SRCDIR)x,x)
  SRCDIR = $(CURDIR)/../../../..
  BUILDDIR = $(SRCDIR)
endif
FIASCOSUBDIR = converter/other/fiasco
SUBDIR = $(FIASCOSUBDIR)/output
VPATH=.:$(SRCDIR)/$(SUBDIR)

include $(BUILDDIR)/config.mk

OBJECTS =  matrices.o mc.o nd.o tree.o weights.o write.o

MERGE_OBJECTS = $(OBJECTS)

COMP_INCLUDES = \
  -I$(SRCDIR)/$(FIASCOSUBDIR) \
  -I$(SRCDIR)/$(FIASCOSUBDIR)/lib \
  -I$(SRCDIR)/$(FIASCOSUBDIR)/codec 

all: libfiasco_output.a

include $(SRCDIR)/common.mk

libfiasco_output.a: $(OBJECTS)
	$(AR) -rc $@ $(OBJECTS)
	$(RANLIB) $@

=== debian/changelog ===
netpbm-free (2:11.01.00-2) unstable; urgency=medium

  * Team upload.
  * Do not embed username in /usr/lib/*/libnetpbm.*
    Closes: #1020658
  * Do not provide libnetpbm9-dev

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 16:30:00 +0100

netpbm-free (2:11.01.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/rules: dh_auto_test checks DEB_BUILD_OPTIONS
  * Add missing License fields
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 15:17:13 +0100

netpbm-free (2:10.98.00-1) unstable; urgency=medium

  * Team upload.
  * Remove outdaded debian/README* files
  * Unversioned development package (Provides: libnetpbm9-dev, libnetpbm10-dev)
    Closes: #1007984
  * Close other bugs which are not valid in this version any more
    Closes: #914850, #360255, #733464, #789874
  * Review d/copyright
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Thu, 26 May 2022 07:29:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Barth <aba@ayous.org>,
            Steve McIntyre <93sam@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                libjpeg-dev,
                libpng-dev,
-               libtiff5-dev,
+               libtiff-dev (>= 4.0.10-1),
                libx11-dev,
                libxml2-dev,
                zlib1g-dev,
@@ -19,7 +19,7 @@
                ghostscript <!nocheck>
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
-Homepage: http://netpbm.sourceforge.net/
+Homepage: https://netpbm.sourceforge.net/
 Rules-Requires-Root: no
 
 Package: netpbm
@@ -38,6 +38,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
+Provides: libnetpbm10-dev
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Graphics conversion tools shared libraries
  Netpbm is a toolkit for manipulation of graphic images, including
@@ -47,13 +48,13 @@
  .
  This package contains the shared libraries used by netpbm.
 
-Package: libnetpbm11-dev
+Package: libnetpbm-dev
 Section: libdevel
 Architecture: any
 Depends: libnetpbm11 (= ${binary:Version}), ${misc:Depends}
-Conflicts: netpbm-dev,libnetpbm9-dev,libnetpbm-dev
-Replaces: netpbm-dev
-Provides: netpbm-dev,libnetpbm-dev
+Conflicts: netpbm-dev,libnetpbm9-dev,libnetpbm11-dev
+Replaces: libnetpbm11-dev
+Provides: netpbm-dev,libnetpbm11-dev
 Description: Graphics conversion tools development libraries and header files
  Netpbm is a toolkit for manipulation of graphic images, including
  conversion of images between a variety of different formats. There

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	dh_install
 	d-shlibmove --commit \
 		    --multiarch \
+		    --devunversioned \
 		    --exclude-la \
 		    --movedev debian/tmp/usr/include usr \
 		    --movedev debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -69,4 +70,6 @@
 
 # See bug #1007234
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true
+endif

=== debian/watch ===
version=4

opts="mode=svn,pgpmode=none" \
http://netpbm.svn.code.sourceforge.net/p/netpbm/code/release_number/ \
  (\d[\d.]+)/

# https://sf.net/netpbm/netpbm-?([\w+\d+\.]+|\d+)\.tgz

## netpbm-free 11.05.02

=== lib/Makefile ===
--- 
+++ 
@@ -96,7 +96,10 @@
 
 libpbm3.o: CFLAGS_TARGET+=$(CFLAGS_SSE)
 
-$(LIBOBJECTS): %.o: %.c importinc
+# libsystem_dummy.o is in the following rule because we like to compile it
+# even when it's not part of the library, just for a test.
+
+$(LIBOBJECTS) libsystem_dummy.o: %.o: %.c importinc
 	$(CC) -c $(INCLUDES) $(CFLAGS_ALL) -o $@ $<
 
 # The major number increases when there is a non-backward-compatible change
@@ -136,7 +139,7 @@
 
 $(SONAME): \
     $(LIBOBJECTS) $(LIBOBJECTS_X) 
-	$(LD) $(LDSHLIB) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
+	$(LD) $(LDSHLIB) $(LDFLAGS) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
           -lc \
 	  -soname libnetpbm.$(NETPBMLIBSUFFIX) \
 	  -set_version $(shell perl -e '$(PERLPROG)') \
@@ -155,7 +158,7 @@
 	rm -f $@
 	$(SYMLINK) $< $@
 libnetpbm.$(NETPBMLIBSUFFIX).$(MAJ).$(MIN): $(LIBOBJECTS) $(LIBOBJECTS_X)
-	$(LD) $(LDSHLIB) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
+	$(LD) $(LDSHLIB) $(LDFLAGS) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
           $(SHLIB_CLIB) -lm $(LADD)
 endif
 
@@ -165,10 +168,10 @@
 else
 $(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll: $(LIBOBJECTS) $(LIBOBJECTS_X)
 endif
-	$(LD) $(LDSHLIB) -Wl,--export-all-symbols \
+	$(LD) $(LDSHLIB) $(LDFLAGS) -Wl,--export-all-symbols \
             -Wl,-soname,$(NETPBMSHLIBPREFIX)netpbm$(DLLVER).dll \
 	    -Wl,--output-def,$(NETPBMSHLIBPREFIX)netpbm$(DLLVER).def \
-            -Wl,--out-implib,libnetpbm.dll.a -o $@ $(LDFLAGS) \
+            -Wl,--out-implib,libnetpbm.dll.a -o $@ \
             $(LIBOBJECTS) $(LIBOBJECTS_X) $(LDLIBS) $(LADD) 
 endif
 
@@ -182,7 +185,7 @@
 	$(SYMLINK) $< $@
 
 libnetpbm.$(MAJ).$(MIN).dylib: $(LIBOBJECTS) $(LIBOBJECTS_X) 
-	$(LD) $(LDSHLIB) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
+	$(LD) $(LDSHLIB) $(LDFLAGS) -o $@ $(LIBOBJECTS) $(LIBOBJECTS_X) \
            -lc $(LADD)
 endif

=== debian/changelog ===
netpbm-free (2:11.05.02-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:09:47 +0000

netpbm-free (2:11.05.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063141

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:33:03 +0000

netpbm-free (2:11.05.02-1) unstable; urgency=medium

  * 21-clarify-tifftopnm-doc.diff Closes: #496156 (The 2nd issue described
    there, unspecified behavior on multiimage tiffs has already been fixed.)
  * New upstream version, fixes ppmtowinicon crash. Closes: #1061667

 -- Andreas Metzler <ametzler@debian.org>  Mon, 29 Jan 2024 18:10:45 +0100

netpbm-free (2:11.05.01-3) unstable; urgency=low

  * Remove Andreas Barth from uploader's list. - Thank you!
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jan 2024 06:51:49 +0100

netpbm-free (2:11.05.01-2) experimental; urgency=medium

  * Team upload.
  * Rename patches for correct sorting by filename.
  * 20-Fix-typo-in-ppm_readppm-prototype.patch: Fix documentation of
    ppm_readppm() function prototype. Closes: #576008
  * Add myself to uploaders.
  * Run wrap-and-sort -ast.
  * Add lintian override for spelling-error-in-binary Optio.
  * [lintian] Drop debian-revision of b-d on libtiff-dev.
  * Build with -DUNDEBUG.
  * Use /usr/bin/install instead of buildtools/install.sh and do not strip
    binaries at install time to get useful netpbm-dbgsym package.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jan 2024 15:26:08 +0100

netpbm-free (2:11.05.01-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    + Unfuzz netpbm-security-code.patch.
  * Add symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Dec 2023 15:10:22 +0100

netpbm-free (2:11.04.05-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Dec 2023 13:27:17 +0100

netpbm-free (2:11.04.05-1) experimental; urgency=low

  * Team upload.
  * For better stability switch to packaging
    https://svn.code.sf.net/p/netpbm/code/advanced/ instead of
    https://svn.code.sf.net/p/netpbm/code/release_number/. The downside is
    that uscan cannot get the version number of these minor releases (Only
    parseable from filename contents but not part of the path.
    Add debian/updatewatchfile script to get this info and hardcode the
    version in debian/watch.
  * New upstream version.
    + Drop netpbm-ppmfadeusage.patch, fix_test_shebang.diff,
      01-Add-apos-translation.patch and
      02-Include-LDFLAGS-in-link-of-shared-library.patch, superseded/applied
      upstream.
    + Drop buildtoolsstamp-date-remove-compiled_by.patch, export COMPILED_BY
      in debian/rules instead.
    + doc/Netpbm.programming dropped upstream, stop trying to install it.
  * Upload to experimental.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Dec 2023 11:52:58 +0100

netpbm-free (2:11.03.06-1) unstable; urgency=low

  * New upstream minor release.
    + Unfuzz patches.
    + Ship userguide as separate tarball (component) instead of tarball
      in debian subdirectory. Update watch file (Thanks for the help, Hugh
      McMaster!), switch to https there and update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Oct 2023 13:59:54 +0200

netpbm-free (2:11.03.00-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Sep 2023 11:22:06 +0200

netpbm-free (2:11.03.00-2) experimental; urgency=medium

  * Replace local patches with changes committed to upstream SVN trunk:
    man_apostr.diff --> 01-Add-apos-translation.patch
    respect_LDFLAGS.diff --> 02-Include-LDFLAGS-in-link-of-shared-library.patch
  * netpbm-ppmfadeusage.patch updated/replaced with patch mirroring upstream
    SVN head behavior.
  * Add 03_stdin-ppm3.test.result.diff to let stdin-ppm3.test succeed with
    picttoppm removal, and check whether testsuite succeeds now.
  * Drop netpbm-CVE-2017-2587.patch. It probably was only necessary in the
    forked version. Doublechecked with CVE reproducer
    https://bugzilla.suse.com/show_bug.cgi?id=1024294 and in mail with
    upstream maintainer.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Sep 2023 13:36:23 +0200

netpbm-free (2:11.03.00-1) experimental; urgency=low

  * Team upload.
  * Ship library documentation. (Thanks, Torrekie for report and diagnosis!)
    Closes: #1037069
  * Fix binary build after successful build.  Closes: #1049800
  * respect_LDFLAGS.diff: Use Debian (hardened) LDFLAGS for building shared
    lib. (lintian: hardening-no-bindnow)
  * New upstream version.
    + Unfuzz netpbm-security-code.patch.
  * Update debian/userguide/userguide.tar.xz from SVN.
    + man_apostr.diff: Handle &apos; in html to man conversion.
  * fix_test_shebang.diff: Fix typo in shebang line.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 Aug 2023 13:24:51 +0200

=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Steve McIntyre <93sam@debian.org>,
Standards-Version: 4.6.2
Build-Depends: dpkg-dev (>= 1.22.5),
 d-shlibs (>= 0.106),
 debhelper-compat (= 13),
 flex,
 ghostscript <!nocheck>,
 libjpeg-dev,
 libpng-dev,
 libtiff-dev (>= 4.0.10),
 libx11-dev,
 libxml2-dev,
 pkg-config,
 python3,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/debian-phototools-team/netpbm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/netpbm
Homepage: https://netpbm.sourceforge.net/
Rules-Requires-Root: no

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends:
 libnetpbm11t64 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 ghostscript,
Provides:
 pbmwbmp,
 pnmtopng,
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11t64
Replaces: libnetpbm11
Conflicts: libnetpbm11 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Provides: ${t64:Provides},
 libnetpbm10-dev,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphics conversion tools shared libraries
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This package contains the shared libraries used by netpbm.

Package: libnetpbm-dev
Section: libdevel
Architecture: any
Depends:
 libnetpbm11t64 (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libnetpbm11-dev,
 libnetpbm9-dev,
 netpbm-dev,
Replaces:
 libnetpbm11-dev,
Provides:
 libnetpbm11-dev,
 netpbm-dev,
Description: Graphics conversion tools development libraries and header files
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.

=== debian/rules ===
--- 
+++ 
@@ -4,20 +4,23 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND = -DUNDEBUG
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+export COMPILED_BY=Debian
 
 include ./version.mk
 MAJOR=$(NETPBM_MAJOR_RELEASE)
 MINOR=$(NETPBM_MINOR_RELEASE)
 POINT=$(NETPBM_POINT_RELEASE)
 
-#https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1007234#3
-#export DEB_CFLAGS_MAINT_APPEND = -fsanitize=undefined -fno-sanitize-recover
-#export DEB_LDFLAGS_MAINT_APPEND = -fsanitize=undefined
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --no-parallel
 
 override_dh_auto_configure:
+	if [ `printf '%02d.%02d.%02d' $(NETPBM_MAJOR_RELEASE) $(NETPBM_MINOR_RELEASE) $(NETPBM_POINT_RELEASE)` != $(DEB_VERSION_UPSTREAM) ] ; then \
+		echo debian infrastructure for version $(DEB_VERSION_UPSTREAM) used with upstream version $(NETPBM_MAJOR_RELEASE).$(NETPBM_MINOR_RELEASE).$(NETPBM_POINT_RELEASE) ; exit 1 ; fi
 	cp config.mk.in config.mk
 	cat debian/config.mk.debian >> config.mk
 	echo "CFLAGS = `dpkg-buildflags --get CFLAGS`" >> config.mk
@@ -29,7 +32,6 @@
 	dh_auto_build
 # build the manpages
 	mkdir netpbmdoc
-	tar xaf debian/userguide/userguide.tar.xz
 	cd netpbmdoc; \
 		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk manpages
 	# Fix manual section
@@ -38,7 +40,7 @@
 override_dh_auto_clean:
 	[ ! -f config.mk ] || $(MAKE) distclean
 	rm -rf debian/netpbm-test debian/netpbm-test.bak
-	rm -rf netpbmdoc userguide
+	rm -rf netpbmdoc
 
 override_dh_auto_install:
 	mkdir -p debian/tmp/
@@ -56,6 +58,7 @@
 override_dh_install:
 	dh_install
 	d-shlibmove --commit \
+		    --t64 \
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
@@ -65,11 +68,12 @@
 	find debian -name "lib*.la" -delete
 	rm -rf debian/tmp/usr/sharedlink/libnetpbm
 	rm -rf debian/tmp/usr/lib/libnetpbm.so*
+
+execute_after_dh_installman:
 	# tool manweb does not work due to missing /etc/manweb.conf
-	find . -name "manweb*" -delete
+	find debian -name "manweb*" -delete
 
-# See bug #1007234
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true
+	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test
 endif

=== debian/watch ===
version=4

# opts="mode=svn,pgpmode=none" \
# https://svn.code.sf.net/p/netpbm/code/release_number/ \
#   (\d[\d.]+)/

opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.05.01/" \
 https://svn.code.sf.net/p/netpbm/code/advanced/ \
 HEAD ignore

# https://sf.net/netpbm/netpbm-?([\w+\d+\.]+|\d+)\.tgz

# userguide is unversioned
opts="mode=svn, pgpmode=none, \
 component=userguide" \
 https://svn.code.sf.net/p/netpbm/code/userguide/ \
 HEAD ignore

## netpbm-free 11.06.01

=== debian/changelog ===
netpbm-free (2:11.06.01-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 May 2024 17:58:05 +0200

netpbm-free (2:11.06.01-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Apr 2024 13:42:38 +0200

netpbm-free (2:11.06.00-1) experimental; urgency=medium

  * New upstream version, unfuzz patches, update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Apr 2024 11:35:30 +0200

netpbm-free (2:11.05.03-1) unstable; urgency=medium

  * New upstream version.
  * Stop using d-shlibs to be able to use Breaks instead of Conflicts for t64
    transition.
  * Provide libnetpbm10-dev by dev-package instead of runtime library package.
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Mar 2024 11:04:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: netpbm-free
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Steve McIntyre <93sam@debian.org>,
 Standards-Version: 4.6.2
-Build-Depends: dpkg-dev (>= 1.22.5),
- d-shlibs (>= 0.106),
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  flex,
  ghostscript <!nocheck>,
  libjpeg-dev,
@@ -45,13 +44,15 @@
  more than 80 graphics formats.
 
 Package: libnetpbm11t64
-Replaces: libnetpbm11
-Conflicts: libnetpbm11 (<< ${source:Version})
+Replaces:
+ libnetpbm11,
+Breaks:
+ libnetpbm11 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
-Provides: ${t64:Provides},
- libnetpbm10-dev,
+Provides:
+ ${t64:Provides},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -70,6 +71,7 @@
  libnetpbm11t64 (= ${binary:Version}),
  ${misc:Depends},
 Conflicts:
+ libnetpbm10-dev,
  libnetpbm11-dev,
  libnetpbm9-dev,
  netpbm-dev,

=== debian/rules ===
--- 
+++ 
@@ -54,20 +54,13 @@
 		-e 's|@LINKDIR@|/usr/lib/$(DEB_HOST_MULTIARCH)|' \
 		-e 's|@VERSION@|Netpbm $(MAJOR).$(MINOR).$(POINT)|' \
 		debian/tmp/usr/pkgconfig_template > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/netpbm.pc
-
-override_dh_install:
-	dh_install
-	d-shlibmove --commit \
-		    --t64 \
-		    --multiarch \
-		    --devunversioned \
-		    --exclude-la \
-		    --movedev debian/tmp/usr/include usr \
-		    --movedev debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
-		    lib/*.so
+	mv debian/tmp/usr/lib/libnetpbm.so* \
+		debian/tmp/usr/staticlink/libnetpbm.a \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
+	ln -s libnetpbm.so.$(MAJOR) \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnetpbm.so
 	find debian -name "lib*.la" -delete
-	rm -rf debian/tmp/usr/sharedlink/libnetpbm
-	rm -rf debian/tmp/usr/lib/libnetpbm.so*
+	rm -rf debian/tmp/usr/sharedlink
 
 execute_after_dh_installman:
 	# tool manweb does not work due to missing /etc/manweb.conf

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.05.01/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.06.01/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore

## netpbm-free 11.07.00

=== debian/changelog ===
netpbm-free (2:11.07.00-2) unstable; urgency=medium

  * Upload to unstable.
  * Use blhc: ignore-line-regexp to ignore build utilities using
    *_FOR_BUILD_*FLAGS.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 16 Jul 2024 13:50:39 +0200

netpbm-free (2:11.07.00-1) experimental; urgency=low

  * New upstream version.
    + Add new symbols to symbol file.
  * 24-unused-prototype.diff: Delete unused function prototype for
    ppm_readcolordict2().

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Jun 2024 07:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Steve McIntyre <93sam@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.22.5),

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.06.01/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.07.00/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore

## netpbm-free 11.08.01

=== debian/changelog ===
netpbm-free (2:11.08.01-1) unstable; urgency=low

  * b-d on pkgconf instead of pkg-config.
  * New upstream version.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Oct 2024 13:05:10 +0200

netpbm-free (2:11.08.00-1) experimental; urgency=medium

  * New upstream version.
    + Drop 24-unused-prototype.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Oct 2024 11:47:11 +0200

netpbm-free (2:11.07.01-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2024 15:11:48 +0200

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.07.00/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.08.01/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore

## netpbm-free 11.08.02

=== debian/changelog ===
netpbm-free (2:11.08.02-1) unstable; urgency=medium

  * New upstream version.
    + Drop 20-Fix-typo-in-ppm_readppm-prototype.patch and
      21-clarify-tifftopnm-doc.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Dec 2024 07:45:50 +0100

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # https://svn.code.sf.net/p/netpbm/code/release_number/ \
 #   (\d[\d.]+)/
 
-opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.08.01/" \
+opts="mode=svn,pgpmode=none,uversionmangle=s/.*/11.08.02/" \
  https://svn.code.sf.net/p/netpbm/code/advanced/ \
  HEAD ignore
